package com.bocloud.cmp.model.h3c;

public class H3cUsbModel {
    /**
     * USB设备名称，必须与主机上查询的USB名称一致。
     */
    String devName;
    /**
     * USB设备的vendorId的值。
     */
    String vendorId;
    /**
     * USB设备的vendor的值。
     */
    String vendor;
    /**
     * USB设备的productId的值。
     */
    String productId;
    /**
     * USB设备的product的值。
     */
    String product;
    /**
     * USB设备的bus的值。
     */
    String bus;
    /**
     * USB设备的device的值。
     */
    String device;
    /**
     * USB控制器版本，取值为1：USB1.0,2：USB2.0,3：USB3.0
     */
    String controller;

    public String getDevName() {
        return devName;
    }

    public void setDevName(String devName) {
        this.devName = devName;
    }

    public String getVendorId() {
        return vendorId;
    }

    public void setVendorId(String vendorId) {
        this.vendorId = vendorId;
    }

    public String getVendor() {
        return vendor;
    }

    public void setVendor(String vendor) {
        this.vendor = vendor;
    }

    public String getProductId() {
        return productId;
    }

    public void setProductId(String productId) {
        this.productId = productId;
    }

    public String getProduct() {
        return product;
    }

    public void setProduct(String product) {
        this.product = product;
    }

    public String getBus() {
        return bus;
    }

    public void setBus(String bus) {
        this.bus = bus;
    }

    public String getDevice() {
        return device;
    }

    public void setDevice(String device) {
        this.device = device;
    }

    public String getController() {
        return controller;
    }

    public void setController(String controller) {
        this.controller = controller;
    }
}
